[SOLVED] installing 2.4rc error with cbgjDBTable

10 years 3 months ago - 10 years 3 months ago #174239 by activha
just tried to install version 2.4rc and got this error

Fatal error: Class 'cbgjDBTable' not found in /Applications/MAMP/htdocs/activnew/components/com_comprofiler/plugin/user/plug_cbgroupjive/plugins/cbgroupjivewall/cbgroupjivewall.php on line 935

when trying to access the plugin from backend of joomla 1.7 and trying to access CB from the fronted

Please Log in to join the conversation.

10 years 3 months ago - 10 years 3 months ago #174250 by krileon
Replied by krileon on topic Re: installing 2.4rc error with cbgjDBTable
That class is contained within the class file of GJ and at the top of all the integrations is the below check.
if ( ! class_exists( 'cbgjClass' ) ) {
	return;
}

Please ensure you've installed GJ 2.4rc first before installing the integrations. The above prevents the plugin from loading anything if GJs class isn't present. In your case it is, but it's present from an older release. The integrations are not backwards compatible.


Kyle (Krileon)
Community Builder Team Member
Before posting on forums: Read FAQ thoroughly + Read our Documentation + Search the forums
CB links: Documentation - Localization - CB Quickstart - CB Paid Subscriptions - Add-Ons - Forge
--
If you are a Professional, Developer, or CB Paid Subscriptions subscriber and have a support issue please always post in your respective support forums for best results!
--
If I've missed your support post with a delay of 3 days or greater and are a Professional, Developer, or CBSubs subscriber please send me a private message with your thread and will reply when possible!
--
Please note I am available Monday - Friday from 8:00 AM CST to 4:00 PM CST. I am away on weekends (Saturday and Sunday) and if I've missed your post on or before a weekend after business hours please wait for the next following business day (Monday) and will get to your issue as soon as possible, thank you.
--
My role here is to provide guidance and assistance. I cannot provide custom code for each custom requirement. Please do not inquire me about custom development.

Please Log in to join the conversation.

10 years 3 months ago #174307 by activha
Replied by activha on topic Re: installing 2.4rc error with cbgjDBTable
Well I tried to deinstall all integrations, then install GJ2.4rc fist then all integrations from 2.4 package and I have still the same error.

Any hint ?
this is a local test server on mamp so I cannot give an access

Please Log in to join the conversation.

10 years 3 months ago #174331 by krileon
Replied by krileon on topic Re: installing 2.4rc error with cbgjDBTable
You don't need to deinstall anything, just ensure GJ 2.4rc is installed and ensure in plugin management that it is loaded before the integrations. Will be adding an extra check to next release to prevent this from happening. To ensure it is loaded before the integrations simply move its order around, but the first check should've stopped it from loading anyway.


Kyle (Krileon)
Community Builder Team Member
Before posting on forums: Read FAQ thoroughly + Read our Documentation + Search the forums
CB links: Documentation - Localization - CB Quickstart - CB Paid Subscriptions - Add-Ons - Forge
--
If you are a Professional, Developer, or CB Paid Subscriptions subscriber and have a support issue please always post in your respective support forums for best results!
--
If I've missed your support post with a delay of 3 days or greater and are a Professional, Developer, or CBSubs subscriber please send me a private message with your thread and will reply when possible!
--
Please note I am available Monday - Friday from 8:00 AM CST to 4:00 PM CST. I am away on weekends (Saturday and Sunday) and if I've missed your post on or before a weekend after business hours please wait for the next following business day (Monday) and will get to your issue as soon as possible, thank you.
--
My role here is to provide guidance and assistance. I cannot provide custom code for each custom requirement. Please do not inquire me about custom development.

Please Log in to join the conversation.

10 years 3 months ago #174477 by activha
Replied by activha on topic Re: installing 2.4rc error with cbgjDBTable
Ok it is loaded before the integration, I have reinstalled all correctly and I still have the same bugs.

The only working integration is the about plugin, all other ones give the error reported above.

Please Log in to join the conversation.

10 years 3 months ago - 10 years 3 months ago #174511 by krileon
Replied by krileon on topic Re: installing 2.4rc error with cbgjDBTable
Stable release will feature an additional check for the db class, but still do not see how this is remotely possible unless you failed to install GJ 2.4rc and only upgraded the integrations. The class file, which each integration checks for contains cbgjDBTable at the very top. I could not duplicate your issue regardless however. Please PM backend login credentials and will take a look.


Kyle (Krileon)
Community Builder Team Member
Before posting on forums: Read FAQ thoroughly + Read our Documentation + Search the forums
CB links: Documentation - Localization - CB Quickstart - CB Paid Subscriptions - Add-Ons - Forge
--
If you are a Professional, Developer, or CB Paid Subscriptions subscriber and have a support issue please always post in your respective support forums for best results!
--
If I've missed your support post with a delay of 3 days or greater and are a Professional, Developer, or CBSubs subscriber please send me a private message with your thread and will reply when possible!
--
Please note I am available Monday - Friday from 8:00 AM CST to 4:00 PM CST. I am away on weekends (Saturday and Sunday) and if I've missed your post on or before a weekend after business hours please wait for the next following business day (Monday) and will get to your issue as soon as possible, thank you.
--
My role here is to provide guidance and assistance. I cannot provide custom code for each custom requirement. Please do not inquire me about custom development.

Please Log in to join the conversation.

Moderators: beatnantkrileon
Time to create page: 0.218 seconds

Facebook Twitter LinkedIn